获取文档的实用工具对象。 支持的平台:仅窗口 言论没有额外的评论。 例子工 务 局: Sub Example_Utility() ' This example creates a spline in model space using the ' CreateTypedArray method off of the utility object. ' Create the spline Dim splineObj As AcadSpline Dim startTan As Variant Dim endTan As Variant Dim fitPoints As Variant Dim utilObj As Object ' CreateTypedArray needs to be a late bound object Set utilObj = ThisDrawing.Utility utilObj.CreateTypedArray startTan, vbDouble, 0.5, 0.5, 0 utilObj.CreateTypedArray endTan, vbDouble, 0.5, 0.5, 0 utilObj.CreateTypedArray fitPoints, vbDouble, 1, 1, 0, 5, 5, 0, 10, 0, 0 Set splineObj = ThisDrawing.ModelSpace.AddSpline(fitPoints, startTan, endTan) ZoomAll End Sub Visual LISP: (vl-load-com) (defun c:Example_Utility() ;; This example creates a spline in model space using the ;; CreateTypedArray method off of the utility object. (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Create the spline (setq utilObj (vla-get-Utility doc)) (vla-CreateTypedArray utilObj 'startTan vlax-vbDouble 0.5 0.5 0) (vla-CreateTypedArray utilObj 'endTan vlax-vbDouble 0.5 0.5 0) (vla-CreateTypedArray utilObj 'fitPoints vlax-vbDouble 0 0 0 5 5 0 10 0 0) (setq modelSpace (vla-get-ModelSpace doc)) (setq splineObj (vla-AddSpline modelSpace fitPoints startTan endTan)) (vla-ZoomAll acadObj) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:31
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.